InteractionTypeImpl = InteractionType.extend({

  // Called every time a new interaction of this type is created.
  init: function(blueConicClient, interactionContext) {
    // Store the parameters for later use.
    this.blueConicClient = blueConicClient;
    this.interactionContext = interactionContext;	
  },

  // Called right after the interactions are initialized.
  getContent: function() {
    return '<div>Hello World!</div>';
  },

  // Called when an interaction based on this type is executed.
  onLoad: function() {
    if (typeof this.interactionContext !== 'undefined' && this.interactionContext !== null) {
      // Get the DOM element indicated by the position of the dialogue. 
      var element = this.interactionContext.getDOMElement();

      if (element) {
        element.innerHTML = this.getContent();
      }
    }
  }
});
